| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Variables
dataobj.h File Reference

## Classes

class | wxDataFormat
| A wxDataFormat is an encapsulation of a platform-specific format handle which is used by the system for the clipboard and drag and drop operations. More...
class | wxDataObject
| A wxDataObject represents data that can be copied to or from the clipboard, or dragged and dropped. More...
class | wxCustomDataObject
| wxCustomDataObject is a specialization of wxDataObjectSimple for some application-specific data in arbitrary (either custom or one of the standard ones). More...
class | wxDataObjectComposite
| wxDataObjectComposite is the simplest wxDataObject derivation which may be used to support multiple formats. More...
class | wxDataObjectSimple
| This is the simplest possible implementation of the wxDataObject class. More...
class | wxBitmapDataObject
| wxBitmapDataObject is a specialization of wxDataObject for bitmap data. More...
class | wxURLDataObject
| wxURLDataObject is a wxDataObject containing an URL and can be used e.g. More...
class | wxTextDataObject
| wxTextDataObject is a specialization of wxDataObjectSimple for text data. More...
class | wxFileDataObject
| wxFileDataObject is a specialization of wxDataObject for file names. More...
class | wxHTMLDataObject
| wxHTMLDataObject is used for working with HTML-formatted text. More...

## Variables

const wxDataFormat | wxFormatInvalid

## Variable Documentation

const wxDataFormat wxFormatInvalid